Change log for autodep8 package in Debian

119 of 19 results
Published in buster-release on 2019-02-02
Published in sid-release on 2019-01-31
autodep8 (0.18) unstable; urgency=medium

  [ Xavier Guimard ]
  * Update nodejs files to use pkg-js-autopkgtest

  [ Sean Whitton ]
  * Update support/elpa/detect for 'debhelper-compat' build-dep
    (Closes: #917804)

 -- Paul Gevers <email address hidden>  Wed, 30 Jan 2019 20:17:41 +0100

Available diffs

Superseded in buster-release on 2019-02-02
Superseded in sid-release on 2019-01-31
autodep8 (0.17) unstable; urgency=medium

  * Revert adding Recommends from d/control as it doesn't work properly
    (Closes: #916144)

 -- Paul Gevers <email address hidden>  Mon, 10 Dec 2018 21:37:05 +0100

Available diffs

Superseded in buster-release on 2018-12-14
Superseded in sid-release on 2018-12-12
autodep8 (0.16) unstable; urgency=medium

  [ Paul Gevers ]
  * Prepend debian/tests/control to the output if it exists (Closes:
    #908272)
  * Generalize code to get BD or recommends from d/control and use it
    (Closes: #907625)
  * Let r packages install recommends for testing
  * Add allow-stderr to python (Closes: #905153)
  * Mark nodejs and python tests as superficial
  * Give tests a name when there is more than one

  [ Dylan Aïssi ]
  * Improve support for R packages

 -- Paul Gevers <email address hidden>  Sun, 09 Dec 2018 08:50:03 +0100

Available diffs

Superseded in buster-release on 2018-12-11
Superseded in sid-release on 2018-12-09
autodep8 (0.15) unstable; urgency=medium

  * Handle the case where debian/tests/control.autodep8 has no trailing
    newline.

 -- Antonio Terceiro <email address hidden>  Thu, 15 Nov 2018 12:42:50 -0200

Available diffs

Superseded in buster-release on 2018-11-18
Superseded in sid-release on 2018-11-15
autodep8 (0.14) unstable; urgency=medium

  * Add build-dependencies of Octave-Forge packages to unit tests Depends
    + s/octave/generate: Parse Build-Depends from debian/control
    + t/octave_test.sh: Add unit test for this new feature
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1

 -- Rafael Laboissiere <email address hidden>  Mon, 27 Aug 2018 20:11:50 -0300
Superseded in buster-release on 2018-08-30
Superseded in sid-release on 2018-08-28
autodep8 (0.13) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Fix typo in examples.md

  [ Graham Inggs ]
  * Update examples.md since nodejs quoting is fixed

  [ Rafael Laboissiere ]
  * s/o/generate: Use option --use-installed-package in call to dh_octave_check.
    Also, add a versioned dependency on dh-octave-autopkgtest, because this
    option was introduced in version 0.5.6 of the package.
    (Closes: #903498, #903409)
  * d/control:
    + Set Maintainer email address to <email address hidden>
    + Add myself to the Uploaders list
    + Bump Standards-Version to 4.1.5 (no changes needed)
  * d/copyright:
    + Use secure URL in Format header
    + Use Salsa URL in Source header
    + Update date of Copyright

 -- Rafael Laboissiere <email address hidden>  Thu, 12 Jul 2018 08:53:16 -0300

Available diffs

Superseded in buster-release on 2018-07-14
Superseded in sid-release on 2018-07-12
autodep8 (0.12) unstable; urgency=medium

  [ Iain Lane ]
  * nodejs: We don't need to do fancy quoting any more. Since autopkgtest
    commit 702c31af, autopkgtest will escape ' properly for us.
  * Enable autodep8 to be a symlink

  [ Ondřej Nový ]
  * Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Dylan Aïssi ]
  * Let R tests use pkg-r-autopkgtest to facilitate enhanced testing

  [ Paul Gevers ]
  * Minor packaging updates

 -- Paul Gevers <email address hidden>  Fri, 20 Apr 2018 20:25:37 +0200

Available diffs

Superseded in buster-release on 2018-04-26
Superseded in sid-release on 2018-04-20
autodep8 (0.11.1) unstable; urgency=medium

  * Makefile: install manpage only once, fixing frequent (but not
    deterministic) failures in parallel builds.

 -- Antonio Terceiro <email address hidden>  Fri, 02 Feb 2018 11:02:23 -0200

Available diffs

Superseded in buster-release on 2018-02-07
Superseded in sid-release on 2018-02-02
autodep8 (0.10) unstable; urgency=medium

  * Team upload.

  [ Antonio Terceiro ]
  * Mention the Go support in the package description

  [ Rafael Laboissiere ]
  * Add support for Octave-Forge packages (Closes: #874306)
  * Bump Standards-Version to 4.1.0 (no changes needed)

 -- Rafael Laboissiere <email address hidden>  Tue, 12 Sep 2017 11:38:05 -0300
0.9
Superseded in buster-release on 2017-09-18
Superseded in sid-release on 2017-09-13
autodep8 (0.9) unstable; urgency=medium

  [ Martín Ferrari ]
  * Add support for Go package testsuites run by dh_golang_autopkgtest.

 -- Antonio Terceiro <email address hidden>  Fri, 26 May 2017 07:42:20 -0300

Available diffs

0.8
Published in stretch-release on 2016-08-31
Superseded in sid-release on 2017-05-26
autodep8 (0.8) unstable; urgency=medium

  [ Sean Whitton ]
  * Add support for ELPA package testsuites run by dh_elpa_test
    (Closes: #823979).
  * Add test suite for ELPA package testsuite detection.
  * Bump copyright years in d/copyright.

 -- Antonio Terceiro <email address hidden>  Thu, 25 Aug 2016 20:36:02 -0300

Available diffs

Superseded in stretch-release on 2016-08-31
Superseded in sid-release on 2016-08-26
autodep8 (0.7.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Python: Ignore warnings (stderr) from pyversions

 -- Antonio Terceiro <email address hidden>  Mon, 01 Aug 2016 14:52:16 -0300

Available diffs

0.7
Superseded in sid-release on 2016-08-02
autodep8 (0.7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Python: Run import test on all Python versions

  [ Stefano Rivera ]
  * Ruby: strip build profile restrictions when producing test dependencies
    from build dependencies (Closes: #832567)

 -- Antonio Terceiro <email address hidden>  Thu, 28 Jul 2016 08:57:42 -0300

Available diffs

0.6
Superseded in stretch-release on 2016-08-08
Superseded in sid-release on 2016-07-28
autodep8 (0.6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Python: Substitute hyphen with underscore for module name

  [ Barry Warsaw ]
  * Python: Added support for PyPy (Closes: #823883)

  [ Antonio Terceiro ]
  * If `debian/tests/control.autodep8` exists, autodep8 will prepend the
    contents of that file to its own output. (Closes: #823931)
  * dkms: add missing `@` in Depends: line of generated test control files
  * manpage: include one example for each supported package type

 -- Antonio Terceiro <email address hidden>  Fri, 27 May 2016 09:38:30 -0300

Available diffs

Superseded in stretch-release on 2016-06-02
Superseded in sid-release on 2016-05-27
autodep8 (0.5.1) unstable; urgency=medium

  * test/helper.sh: include extra information on failed tests to help
    debugging.
  * avoid partial matches in `Testsuite` field, e.g. `r` should never match
    `ruby`
  * make sure supported languages are always tested in a consistent order

 -- Antonio Terceiro <email address hidden>  Mon, 25 Apr 2016 16:15:02 -0300

Available diffs

0.4
Superseded in sid-release on 2016-04-26
autodep8 (0.4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 (no changes needed).
  * Changed Vcs-* URLs to https schema.
  * Fixed list in package description.
  * Added Python support.

  [ Antonio Terceiro ]
  * Add missing NodeJS and DKMS into list of supported package types in this
    package's description
  * NodeJS: change directory to $ADTTMP before trying to require module to
    avoid using code from source package.

 -- Antonio Terceiro <email address hidden>  Sun, 24 Apr 2016 10:41:33 -0300
0.3
Superseded in stretch-release on 2016-05-01
Superseded in sid-release on 2016-04-24
autodep8 (0.3) unstable; urgency=medium

  * split tests by language
  * Ruby: remove commented lines from Build-Depends fields
  * NodeJS:
    - also detect NodeJS packages by binary packages
    - add support for reading upstream name from package.json (Closes: #803176)
      - added dependency and build dependency on python3 (autopkgtest itself
        already depends on python3 anyway)
    - add support for reading upstream name from binary package
  * debian/tests/control: added DEP-8 tests to fix a huge incoherence, which
    is autodep8 not being tested itself on CI.

 -- Antonio Terceiro <email address hidden>  Thu, 26 Nov 2015 17:30:16 -0200

Available diffs

0.2
Superseded in stretch-release on 2015-12-02
Superseded in sid-release on 2015-11-26
autodep8 (0.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/control: add Vcs-* fields
  * support/ruby: pass --check-dependencies to gem2deb-test-runner

  [ Martin Pitt ]
  * Switch maintainer to Autopkgtest team, and add myself as uploader, with
    Antonio's consent.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

  [ Jean-Baptiste Lallement ]
  * support/dkms: Add support for dkms packages (Closes: #766668) This needs a
    corresponding "dkms-autopkgtest" script in DKMS itself, see #769095.

 -- Antonio Terceiro <email address hidden>  Fri, 24 Jul 2015 09:30:40 -0300

Available diffs

0.1
Superseded in stretch-release on 2015-07-30
Published in jessie-release on 2014-10-20
Superseded in sid-release on 2015-07-24
autodep8 (0.1) unstable; urgency=medium


  * Initial release.

 -- Antonio Terceiro <email address hidden>  Sat, 20 Sep 2014 10:45:21 -0300
119 of 19 results